/* 
 * Copyright (C) 2008 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer <laird@lbreyer.com>
 */

#ifndef ANNOTATIONS_H
#define ANNOTATIONS_H

#include "common.h"

#include <wctype.h>
#include <wchar.h>

#define ANMAX 8
#define ANLEN 128
typedef struct {
  char *description[ANMAX];
} annotations_t;

bool_t create_annotations(annotations_t *a);
bool_t free_annotations(annotations_t *a);
const char *get_annotations(annotations_t *a, unsigned int i);
void set_annotations(annotations_t *a, unsigned int i, const byte_t *s);

#endif
